
%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 2
%define libname %mklibname marco-private %{major}
%define develname %mklibname -d marco-private

%define oname mate-window-manager

Summary:       MATE window manager
Name:          marco
Version:       1.28.1
Release:       %mkrel 1
URL:           https://www.mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        org.mate.marco.gschema.xml.patch
License:       LGPLv2+ and GPLv2+
Group:         Graphical desktop/MATE

BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libxml2-utils
BuildRequires: zenity
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gio-2.0) >= 2.25.10
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.7
BuildRequires: pkgconfig(pangoxft) >= 1.2.0
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(rarian)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glu)

Requires:      zenity
Requires:      %{libname} = %{version}-%{release}
Requires:      glibc >= 2.33

Obsoletes: mate-window-manager
Provides:  mate-window-manager = %{version}-%{release}

%description
A window manager for MATE Desktop.

%package -n %{libname}
Summary:       Libraries for Mate window manager
Group:         System/Libraries
Requires:      %{name}

%description -n %{libname}
This package contains libraries used by Mate window manager.

%package -n %{develname}
Summary:       Libraries and include files with Mate window manager
Group:         Development/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

Obsoletes: mate-window-manager-devel
Provides:  mate-window-manager-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with Mate window manager.

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build
%configure2_5x --disable-static
         
# fix rpmlint unused-direct-shlib-dependency warning
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

%find_lang %{name}

# We do not want *.la files
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%{_bindir}/marco
%{_bindir}/marco-message
%{_bindir}/marco-theme-viewer
%{_datadir}/applications/marco.desktop
%{_datadir}/themes/ClearlooksRe/
%{_datadir}/themes/Dopple-Left/
%{_datadir}/themes/Dopple/
%{_datadir}/themes/DustBlue/
%{_datadir}/themes/Spidey-Left/
%{_datadir}/themes/Spidey/
%{_datadir}/themes/Splint-Left/
%{_datadir}/themes/Splint/
%{_datadir}/themes/WinMe/
%{_datadir}/themes/eOS/
%{_datadir}/themes/Atlanta/
%{_datadir}/themes/Esco/
%{_datadir}/themes/Gorilla/
%{_datadir}/themes/Motif/
%{_datadir}/themes/Raleigh/
%{_datadir}/marco/
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
%{_datadir}/help/C/creating-marco-themes
%{_datadir}/mate/wm-properties/
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml
%{_mandir}/man1/marco.1*
%{_mandir}/man1/marco-message.1*

%files -n %{libname}
%{_libdir}/libmarco-private.so.%{major}*

%files -n %{develname}
%doc ChangeLog
%{_bindir}/marco-window-demo
%{_includedir}/marco-1
%{_libdir}/libmarco-private.so
%{_libdir}/pkgconfig/libmarco-private.pc
%{_mandir}/man1/marco-theme-viewer.1.*
%{_mandir}/man1/marco-window-demo.1.*


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Sat Feb 17 2024 tex - 1.28.1-1pclos2024
- new version

* Wed Feb 14 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.2-1pclos2023
- new version

* Fri Dec 02 2022 tex - 1.26.1-1pclos2022
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Mon Aug 10 2020 tex - 1.24.1-1pclos2020
- new version

* Mon Feb 24 2020 tex - 1.24.0-2pclos2020
- rebuild against updates

* Tue Feb 11 2020 tex - 1.24.0-1pclos2020
- Update to version 1.24.0
